<?php namespace App\Http\Requests;

use App\Http\Requests\Request;
//use Response;

class CreatePostRequest extends Request {

    /**
     * The URI to redirect to if validation fails
     *
     * @var string
     */
    //protected $redirect = 'post/create';

    /**
	 * Determine if the user is authorized to make this request.
	 *
	 * @return bool
	 */
	public function authorize()
	{
        // Only allow logged in users
        // return \Auth::check();
        // Allows all users in
		return true;
	}

	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array
	 */
	public function rules()
	{
        return [
            'title' => 'required|unique:posts,title',
            'content' => 'required'
        ];
    }






}
